Subject: Re: [PATCH] installer: Add Emacs EXWM desktop environment. [WAS Re: Call for 1.2 installer testing.]

From: Jan Nieuwenhuizen <[email-masked]>
Date: Tue, 13 Oct 2020 21:26:31 +0200

Mathieu Othacehe writes:

Hi Mathieu,

>> It works for me; I found Emacs EXWM missing however.  After zenny also
>> asked about that this morning, I decided to create a patch.
>
> Thanks for testing

Using it is real easy, pleasant, and fast.  One thing that I got wrong a
couple of times is to actually select a suggested option while
partitioning, I pressed TAB and RET (like in previous screens), then
selecting the button that is clearly marked EXIT.  Then it tries to
continue with a non-partitioned or badly partitioned drive, which then
may give an unexpected error.

Clearly a user error, not a problem and I also do not have a better
suggestion.  Also, my mistake was very obvious to me later.

> and for the patch!  I think it might be necessary to
> add "emacs-exwm" to "installation-target-os-for-gui-tests" in (gnu tests
> install) module.

Good call.  I verified that the test fails without it..

> To make sure that it's working fine you can run:
>
> make check-system TESTS="gui-installed-os gui-installed-os-encrypted
> gui-installed-desktop-os-encrypted"

--8<---------------cut here---------------start------------->8---
cannot build derivation `/gnu/store/7xnhrap7xsv2x717yn9wrgisxpppxrmy-emacs-27.1.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/kkfdhpc81h0f0sz0mj1ayin0sxy7vkmq-emacs-desktop-environment-0.3.0.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/3amvkhwa4jv8fghljgkcvlkpg4mpwc8v-emacs-exwm-0.24.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/q4pxd90hb9mah7cs9r1cjyb2pif1ixmz-emacs-xelb-0.18.drv': 1 dependencies couldn't be built
--8<---------------cut here---------------end--------------->8---

and veried that it passes when I adding them.

> Otherwise, it looks fine.

Thanks, pushed to master as 1197b8b20f4fca4ce03bbc5fa75e18d54e3717c0.

Greetings,
Janneke

-- 
Jan Nieuwenhuizen <[email-masked]> | GNU LilyPond http://lilypond.org
Freelance IT http://JoyofSource.com | Avatar® http://AvatarAcademy.com